import processing.similarityFiles.similarityMain as SimilarityCalc
from db.repository import Repository

repo = Repository()


def run_similarity_calc_per_use_case():
    layers = repo.get_layers()

    uc_layers = {}
    for layer in layers:
        uc = layer.use_case
        if uc not in uc_layers:
            uc_layers[uc] = []
        uc_layers[uc].append(layer.layer_name)

    for key in uc_layers:
        layers = uc_layers[key]
        print(f"Running for use case {key} with layers {str(layers)}.")
        SimilarityCalc.main(layerNameList=layers)
    

if __name__ == '__main__':
    run_similarity_calc_per_use_case()