import unittest
import manage_sys_paths
import json

from messaging.MessageHandler import MessageHandler
from messaging.DummyMessageManager import DummyMessageManager as DummyMessageSender
    
class DummyMongoRepo:
    '''Dummy class to be used for testing the MessageHandler'''
    last_trace = None
    def insert_trace(self, trace):
        self.last_trace = trace

class Test_Pipeline(unittest.TestCase):
    handler = None
    repo = None
    msg_sender = None

    def setUp(self):
        self.repo = DummyMongoRepo()
        self.msg_sender = DummyMessageSender.get_instance()
        self.handler = MessageHandler()
    
    def _buildTraceMessage(self):
        return {
            "type": "new-trace", 
            "content": {
                "use_case": "debug", 
                "id": "b38c916a73747abba1d01dbe11ee15714c90d42b23b8328cafc1667e60045e7b", 
                "properties": {
                    "name": "Margherita", 
                    "dough": False, 
                    "sauce": "tomato", 
                    "combined_name": "Margheritawheat", 
                    "UniqueID": "b38c916a73747abba1d01dbe11ee15714c90d42b23b8328cafc1667e60045e7b", 
                    "dough_type": "wheat"
                }
            }
        }

    def testTraceProcessing(self):
        msg = self._buildTraceMessage()
        self.handler.handle_new_trace(msg["content"])
    

if __name__ == '__main__':
    unittest.main()